# Uses of Enum
org.apache.sling.distribution.DistributionRequestType

Packages that use DistributionRequestType
Package
Description
org.apache.sling.distribution

## Uses of DistributionRequestType in org.apache.sling.distribution

Methods in org.apache.sling.distribution that return DistributionRequestType
Modifier and Type
Method
Description
`static DistributionRequestType`
DistributionRequestType.`fromName(String n)`
Creates an action type for the given name.
`DistributionRequestType`
DistributionRequest.`getRequestType()`
Get the `DistributionRequestType` associated with this request
`DistributionRequestType`
SimpleDistributionRequest.`getRequestType()`
get the `DistributionRequestType` associated with this request
`static DistributionRequestType`
DistributionRequestType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DistributionRequestType[]`
DistributionRequestType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.distribution with parameters of type DistributionRequestType
Modifier
Constructor
Description
``
`SimpleDistributionRequest(DistributionRequestType requestType, boolean isDeep, String... paths)`
Creates distribution request with "deep" or "shallow" paths.
``
`SimpleDistributionRequest(DistributionRequestType requestType, String... paths)`
Creates a distribution request with "shallow" paths.
``
`SimpleDistributionRequest(DistributionRequestType requestType, String[] paths, Set<String> deepPaths)`
Creates a distribution request with additional "deep" paths.
``
`SimpleDistributionRequest(DistributionRequestType requestType, String[] paths, Set<String> deepPaths, Map<String,String[]> pathFilters)`
Creates a distribution request with "deep" paths and filters.